Function
skipUntilChar
Skip (i.e. read without saving) characters from stream until Char is encountered
skipUntilChar(RecordReader<TStream, TPass> & recordReader, TChar const & x)
Include Headers
seqan/stream.h
Parameters

recordReader | The RecordReader to read from. Types: RecordReader
x | The character to stop on Types: char or similar

Remarks
This function stops *on* the character x. x is not skipped.
Return Values
0 if there was no error reading
non-zero value on errors, especially EOF_BEFORE_SUCCESS
Types: int, TokenizeResult
Member of
RecordReader
See Also
TokenizeResult, skipUntilString, readUntilChar
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59